- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_utils.h File Reference

`#include <axutil_utils_defines.h>`
`#include <axutil_error.h>`
`#include <axutil_env.h>`
`#include <axutil_date_time.h>`
`#include <axutil_base64_binary.h>`

Go to the source code of this file.

## Defines
#define | AXUTIL_LOG_FILE_SIZE 1024 * 1024 * 32
#define | AXUTIL_LOG_FILE_NAME_SIZE 512
#define | AXIS2_FUNC_PARAM_CHECK(object, env, error_return)
#define | AXIS2_PARAM_CHECK(error, object, error_return)
#define | AXIS2_PARAM_CHECK_VOID(error, object)
#define | AXIS2_ERROR_SET(error, error_number, status_code)
#define | AXIS2_HANDLE_ERROR_WITH_FILE(env, error_number,status_code, file_name_line_no)
#define | AXIS2_HANDLE_ERROR(env, error_number, status_code)
#define | AXIS2_CREATE_FUNCTION "axis2_get_instance"
#define | AXIS2_DELETE_FUNCTION "axis2_remove_instance"
#define | AXIS2_TARGET_EPR "target_epr"
#define | AXIS2_DUMP_INPUT_MSG_TRUE "dump"
## Typedefs
typedef void(* | AXIS2_FREE_VOID_ARG )(void *obj_to_be_freed, const axutil_env_t *env)
typedef int(* | AXIS2_READ_INPUT_CALLBACK )(char *buffer, int size, void *ctx)
typedef int(* | AXIS2_CLOSE_INPUT_CALLBACK )(void *ctx)
## Enumerations
enum | axis2_scopes { AXIS2_SCOPE_REQUEST = 0, AXIS2_SCOPE_SESSION, AXIS2_SCOPE_APPLICATION }
| Axis2 scopes. More...
## Functions
AXIS2_EXTERN axis2_status_t | axutil_parse_rest_url_for_params (const axutil_env_t *env, const axis2_char_t *tmpl, const axis2_char_t *url, int *match_count, axis2_char_t ****matches)
AXIS2_EXTERN axis2_char_t ** | axutil_parse_request_url_for_svc_and_op (const axutil_env_t *env, const axis2_char_t *request)
AXIS2_EXTERN axis2_char_t * | axutil_xml_quote_string (const axutil_env_t *env, const axis2_char_t *s, axis2_bool_t quotes)
AXIS2_EXTERN int | axutil_hexit (axis2_char_t c)
AXIS2_EXTERN axis2_status_t | axutil_url_decode (const axutil_env_t *env, axis2_char_t *dest, axis2_char_t *src)
AXIS2_EXTERN axis2_status_t | axis2_char_2_byte (const axutil_env_t *env, axis2_char_t *char_buffer, axis2_byte_t **byte_buffer, int *byte_buffer_size)

## Detailed Description